---
layout: docs
page_title: 'Commands: node pool delete'
description: |
  The node pool delete command is used to delete a node pool.
---

# Command: node pool delete

The `node pool delete` command is used delete a node pool.

## Usage

```plaintext
nomad node pool delete [options] <node-pool>
```

If ACLs are enabled, this command requires a token with the 'delete'
capability in a `node_pool` policy that matches the node pool being targeted.

You cannot delete a node pool that has nodes or non-terminal jobs. In federated
clusters, you cannot delete a node pool that has nodes or non-terminal jobs in
any of the federated regions.

## General Options

@include 'general_options_no_namespace.mdx'

## Examples

Delete a node pool:

```shell-session
$ nomad node pool delete dev
Successfully deleted node pool "dev"!
```
